
Auto Multiple Choice - Support # 517: Problème installation AMC sous Mac OS 10.13

Status: Closed Priority: Normal
Author: Naomi Yamaguchi Category: Installation
Created: 11/30/2017 Assignee:
Updated: 12/05/2017 Due date:
Description: Bonjour,

J'avais précédemment installé la version stable d'AMC sous mon ancien OS (El Capitan) sans problème.
J'ai fait une clean install sous High Sierra, et j'ai voulu réinstaller la version stable d'AMC sans succès 
(impossible de compiler les fichiers, même déjà existants).
J'ai donc tenté d'installer la version dével d'AMC en suivant ce wiki :
https://project.auto-multiple-choice.net/projects/auto-multiple-choice/wiki/Installation_de_la_version_de_d%C3
%A9veloppement_d'AMC_sous_macOS_avec_une_installation_LaTeX_externe_%C3%A0_MacPorts
(J'ai déjà TexLive par ailleurs sur mon ordinateur, pour d'autres usages LaTeX).

Or, je reçois à chaque fois le même message d'erreur : Error: Failed to destroot dblatex: ln: 
/usr/local/texlive/texmf-local/tex/latex/dblatex/contrib/db2latex/db2latex.sty: File exists
Error: See /opt/local/var/macports/logs/_Users_naomi_nix_macports_textproc_dblatex/dblatex/main.log for 
details.
Error: Follow https://guide.macports.org/#project.tickets to report a bug.
Error: Processing of port auto-multiple-choice-devel failed

Je mets le fichier log en PJ.
Est-ce que vous auriez une idée de ce qu'il faut faire ? 

Je vous remercie,
Cordialement,
Naomi

History
12/01/2017 11:36 am - Joël Brogniart
- File macports.zip added

Utilisez vous MacTeX ?

Si oui, pouvez vous remplacer votre dossier macports local par celui de l'archive jointe.

Une fois installé, désinstallez dblatex.

<pre>
sudo port uninstall dblatex
</pre>

Puis installer dblatex avec le variant mactex.

<pre>
sudo port install dblatex +mactex
</pre>

Et ensuite installez AMC.
<pre>
sudo port install auto-multiple-choice-devel +mactex
</pre>

12/01/2017 11:37 am - Joël Brogniart
Et j'ai oublié, avant, il faut ouvrir le dossier @/usr/local/texlive/texmf-local/tex/latex@ et supprimer le dossier "dblatex" s'il existe et le fichier AMC s'il 
existe.

12/01/2017 06:50 pm - Naomi Yamaguchi
Joël Brogniart wrote:
> Et j'ai oublié, avant, il faut ouvrir le dossier @/usr/local/texlive/texmf-local/tex/latex@ et supprimer le dossier "dblatex" s'il existe et le fichier AMC s'il 
existe.

Merci pour votre réponse. J'ai bien MacTex.
J'ai suivi vos recommandations, mais j'ai encore un message d'erreur : 
Error: Port auto-multiple-choice-devel not found
Après avoir avoir tapé la commande sudo port install auto-multiple-choice-devel +mactex

Qu'en pensez-vous ?

12/03/2017 01:25 pm - Naomi Yamaguchi
Naomi Yamaguchi wrote:
> Joël Brogniart wrote:
> > Et j'ai oublié, avant, il faut ouvrir le dossier @/usr/local/texlive/texmf-local/tex/latex@ et supprimer le dossier "dblatex" s'il existe et le fichier AMC s'il 
existe.
> 
> Merci pour votre réponse. J'ai bien MacTex.
> J'ai suivi vos recommandations, mais j'ai encore un message d'erreur : 
> Error: Port auto-multiple-choice-devel not found
> Après avoir avoir tapé la commande sudo port install auto-multiple-choice-devel +mactex
> 
> Qu'en pensez-vous ?

C'est encore moi : j'avais oublié de recréer l'index de macports sur le dossier local. Je l'ai fait, je relance l'installation et je vous tiens au courant.

12/03/2017 01:56 pm - Naomi Yamaguchi
- File main.log added

Rebonjour,
Après avoir relancé l'installation de AMC, j'ai encore eu une erreur : Error: Failed to build auto-multiple-choice-devel: command execution failed
Je vous joins le fichier log.
Qu'en pensez-vous ?
Merci beaucoup pour votre aide.

12/04/2017 07:58 am - Joël Brogniart
C'est bizarre, il manque des dépendances. Il serait bien de recommencer l'installation complète si possible. Pour cela lancer les commandes 
suivantes.
<pre>
sudo port uninstall installed

sudo port clean -f --all auto-multiple-choice-devel
sudo port install perl5 +perl5_26

sudo port install dblatex +mactex

sudo port install auto-multiple-choice-devel + mactex
</pre>

Je pense que le problème provient du fait que sur MacPorts, perl est en phase d'évolution de Perl 5.24 vers 5.26. La plupart des modules sont ont été 
mis à jour pour la version 5.26 mais Perl est encore en version 5.24 par défaut. La commande d'installation perl que j'ai indiqué met la version 5.26 par 
défaut.

12/04/2017 08:44 am - Joël Brogniart
Il y a un espace en trop après le + dans la dernière commande. Voici la bonne version.
<pre>
sudo port install auto-multiple-choice-devel +mactex
</pre>

12/04/2017 05:16 pm - Naomi Yamaguchi
- File main.log added

Bonjour,
J'ai suivi vos commandes, mais je n'ai toujours pas réussi à installer AMC. Je vous joins le fichier log.
Pour l'instant, je vais laisser tomber car je dois concevoir et envoyer mon sujet très vite à la reprographie de mon université.
Je me dirige donc vers une correction manuelle :(
Mais si vous trouvez une solution cela m'intéresse pour le futur !
Mille mercis pour votre aide et vos conseils.

12/05/2017 08:03 am - Joël Brogniart
Lors de la création de la doc en japonais, il y a un erreur de fichier non trouvé avec 
@/usr/local/texlive/2017/texmf-dist/tex/latex/amsmath/amsopn.sty@. POuvez-vous vérifier si ce fichier existe et si dans votre installation MacTeX les 
outils pour le japonais sont installés.

12/05/2017 08:05 am - Joël Brogniart
Ah non, ce sont les polices de caractères "DejaVu" qui manquent.

12/05/2017 10:22 am - Naomi Yamaguchi
Bonjour,
C'est merveilleux, cela marche ! 
J'ai vraisemblablement oublié cette étape au tout début (alors que j'avais bien téléchargé les polices Libertine)
Merci mille fois pour votre patience et votre aide, et pour ce merveilleux logiciel !
Bien cordialement,
Naomi

12/05/2017 11:23 am - Alexis Bienvenüe
- Status changed from New to Closed

- % Done changed from 0 to 100

Files
main.log 202.3 kB 11/30/2017 Naomi Yamaguchi
macports.zip 10.1 kB 12/01/2017 Joël Brogniart
main.log 840.3 kB 12/03/2017 Naomi Yamaguchi
main.log 546.6 kB 12/04/2017 Naomi Yamaguchi
